---
updatedAt: 2026-08-12T06:45:04.000Z
agentTools:
  projectIndex: https://developer.loopwork.co/llms.txt
---

# Edit line schedule

This endpoint allows you to edit line schedule.

Please note : Atleast one of the body parameters should be passed in this specific endpoint.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "loop-admin",
    "version": "2023-10"
  },
  "servers": [
    {
      "url": "https://api.loopsubscriptions.com/admin/"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-Loop-Token",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/2026-04/subscription/{subscriptionId}/line/{lineId}/schedule": {
      "put": {
        "responses": {
          "200": {
            "description": ""
          }
        },
        "parameters": [
          {
            "in": "path",
            "name": "subscriptionId",
            "schema": {
              "type": "integer",
              "format": "int32"
            },
            "required": true,
            "description": "Unique identifier of the subscription."
          },
          {
            "in": "path",
            "name": "lineId",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "Unique identifier of the line in subscription."
          }
        ],
        "summary": "Edit line schedule",
        "operationId": "put_2026-04-subscription-subscriptionid-line-lineid-schedule",
        "description": "This endpoint allows you to edit line schedule.",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "nextOrderId": {
                    "type": "integer",
                    "format": "int32"
                  },
                  "orderInterval": {
                    "type": "string"
                  }
                },
                "required": [
                  "nextOrderId"
                ]
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```